
Foreman - Refactor #16424

Extract create_new_host_when_facts_are_uploaded into method of host

09/02/2016 10:45 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Host creation   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3808

  

Description

Host::Discovered class must override the setting. Needed for #16417

Related issues:

Related to Discovery - Feature #16417: Turning off create_new_host_when_facts... Closed 09/01/2016

Associated revisions

Revision f0e9c776 - 09/08/2016 05:11 AM - Lukas Zapletal

Fixes #16424 - extracted create_new_host_when_facts_are_uploaded

Revision 1c8e93cc - 09/12/2016 11:39 AM - Lukas Zapletal

Fixes #16424 - extracted create_new_host_when_facts_are_uploaded

(cherry picked from commit f0e9c7769eeaca238536f42e991508f372729a83)

History

#1 - 09/02/2016 10:45 AM - Lukas Zapletal

- Related to Feature #16417: Turning off create_new_host_when_facts_are_uploaded breaks discovery added

#2 - 09/02/2016 10:46 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/3808 added

#3 - 09/06/2016 10:00 AM - Daniel Lobato Garcia

- Target version set to 1.6.2

#4 - 09/08/2016 06:02 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f0e9c7769eeaca238536f42e991508f372729a83.

#5 - 09/09/2016 07:19 AM - Dominic Cleal

- translation missing: en.field_release set to 160
